package com.hzya.frame.cbs8.dto.req;

import java.util.List;

/**
 * @Description 电子回单查询请求参数
 * @Author xiangerlin
 * @Date 2024/1/4 17:08
 **/
public class ElecRequestDTO {
    // 开始日期
    private String startDate;

    // 结束日期
    private String endDate;

    // 账号
    private String accountNo;

    // 币种列表
    private List<String> currencyList;

    // 银行类型列表
    private List<String> bankTypeList;

    // 回单文件状态 1-已取回 0-未取回
    private String billStatus;

    // 借贷 1-借 2-贷
    private String loanType;

    // 单位编码列表
    private List<String> unitCodeList;

    // 对账码列表
    private List<String> checkCodeList;

    // ERP业务参考号
    private String settleBusinessReferenceCode;

    public ElecRequestDTO(String settleBusinessReferenceCode) {
        this.settleBusinessReferenceCode = settleBusinessReferenceCode;
    }

    public ElecRequestDTO(String startDate, String endDate, String settleBusinessReferenceCode) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.settleBusinessReferenceCode = settleBusinessReferenceCode;
    }

    public ElecRequestDTO() {

    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public List<String> getCurrencyList() {
        return currencyList;
    }

    public void setCurrencyList(List<String> currencyList) {
        this.currencyList = currencyList;
    }

    public List<String> getBankTypeList() {
        return bankTypeList;
    }

    public void setBankTypeList(List<String> bankTypeList) {
        this.bankTypeList = bankTypeList;
    }

    public String getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(String billStatus) {
        this.billStatus = billStatus;
    }

    public String getLoanType() {
        return loanType;
    }

    public void setLoanType(String loanType) {
        this.loanType = loanType;
    }

    public List<String> getUnitCodeList() {
        return unitCodeList;
    }

    public void setUnitCodeList(List<String> unitCodeList) {
        this.unitCodeList = unitCodeList;
    }

    public List<String> getCheckCodeList() {
        return checkCodeList;
    }

    public void setCheckCodeList(List<String> checkCodeList) {
        this.checkCodeList = checkCodeList;
    }

    public String getSettleBusinessReferenceCode() {
        return settleBusinessReferenceCode;
    }

    public void setSettleBusinessReferenceCode(String settleBusinessReferenceCode) {
        this.settleBusinessReferenceCode = settleBusinessReferenceCode;
    }
}
